Loading...
Searching...
No Matches
Data diff merge options.
Trees » Data Tree
Collaboration diagram for Data diff merge options.:

## Macros

#define | LYD_DIFF_MERGE_DEFAULTS 0x01

## Detailed Description

Various options to change lyd_diff_merge_module(), lyd_diff_merge_tree(), and lyd_diff_merge_all() behavior.

Default behavior:

- any default nodes are expected to be a result of validation corrections and not explicitly modified.

## Macro Definition Documentation

## LYD_DIFF_MERGE_DEFAULTS

#define LYD_DIFF_MERGE_DEFAULTS 0x01

Default nodes in the diffs are treated as possibly explicitly modified.

Definition at line 2260 of file tree_data.h.